package com.trade.admin.system.dto;

import com.trade.admin.system.domain.entity.SysUser;

import java.util.Set;

public class UserInfoDTO {
    private SysUser user;
    private Set<String> roles;

    private Set<String> permissions;

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public Set<String> getRoles() {
        return roles;
    }

    public void setRoles(Set<String> roles) {
        this.roles = roles;
    }

    public Set<String> getPermissions() {
        return permissions;
    }

    public void setPermissions(Set<String> permissions) {
        this.permissions = permissions;
    }
}
